Bug 365151 - Can't download header themes; no KNewStuff category defined
Summary: Can't download header themes; no KNewStuff category defined
Status: RESOLVED FIXED
Alias: None
Product: kmail2
Classification: Applications
Component: UI (show other bugs)
Version: 5.2.1
Platform: Other Linux
: NOR normal with 5 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-06 14:24 UTC by markuss
Modified: 2016-12-14 09:31 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.4.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description markuss 2016-07-06 14:24:13 UTC
View > Headers > Download New Themes
leads to an empty window and Categories Missing message.

Reproducible: Always
Comment 1 solitone 2016-12-12 10:17:59 UTC
The same happens to me with KMail 5.2.3. 

The KMail Add-On Installer window remains emtpy, and there is a message at the bottom saying: All categories are missing.
Comment 2 Christoph Feck 2016-12-12 23:47:47 UTC
The category names probably have not been ported/added with the move to the new store.kde.org site.
This should be reported to their maintainers, with the .knsrc file no longer working, see e.g. https://phabricator.kde.org/T4863
Comment 3 Laurent Montel 2016-12-13 07:22:24 UTC
(In reply to Christoph Feck from comment #2)
> The category names probably have not been ported/added with the move to the
> new store.kde.org site.
> This should be reported to their maintainers, with the .knsrc file no longer
> working, see e.g. https://phabricator.kde.org/T4863

Thanks Christoph I created a task
https://phabricator.kde.org/T4889

I already asked to dev long time ago to fix it but as there is a phabricator it's more visible now.
We will wait now.

Regards
Comment 4 solitone 2016-12-13 08:57:39 UTC
(In reply to Christoph Feck from comment #2)
> The category names probably have not been ported/added with the move to the
> new store.kde.org site.
> This should be reported to their maintainers, with the .knsrc file no longer
> working, see e.g. https://phabricator.kde.org/T4863

I can't find such *.knsrc file. Where is it supposed to be? Thanks
Comment 5 Laurent Montel 2016-12-13 11:19:14 UTC
(In reply to solitone from comment #4)
> (In reply to Christoph Feck from comment #2)
> > The category names probably have not been ported/added with the move to the
> > new store.kde.org site.
> > This should be reported to their maintainers, with the .knsrc file no longer
> > working, see e.g. https://phabricator.kde.org/T4863
> 
> I can't find such *.knsrc file. Where is it supposed to be? Thanks

As wrote previously I created tasks for this bugs see comment3
Comment 6 Laurent Montel 2016-12-14 09:31:18 UTC
Git commit 44db07d4c67f00cd9d631ac753dfd4d69b2f8e9c by Montel Laurent.
Committed on 14/12/2016 at 09:31.
Pushed by mlaurent into branch 'Applications/16.12'.

Fix Bug 365151 - Can't download header themes; no KNewStuff category defined

Apply patch from https://phabricator.kde.org/T4889

FIXED-IN: 5.4.1

M  +1    -1    messageviewer/src/header/data/messageviewer_header_themes.knsrc

https://commits.kde.org/messagelib/44db07d4c67f00cd9d631ac753dfd4d69b2f8e9c